### Function

# Json gobject_deserialize

#### Declaration [src]

    GObject*
    json_gobject_deserialize (
      GType gtype,
      JsonNode* node
    )

#### Description [src]

Creates a new `GObject` instance of the given type, and constructs it using the members of the object in the given node.

Available since: | 0.10

#### Parameters

`gtype` | `GType`
| The type of the object to create.
`node` | `JsonNode`
| A node of type `JSON_NODE_OBJECT` describing the object instance for the given type.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GObject`
| The newly created instance.
| The caller of the function takes ownership of the data, and is responsible for freeing it.